    /**
     * ${item.getCaption()}
     *
     * @param {any[]} args 当前数据
     * @param {any} contextJO 行为附加上下文
     * @param {*} [params] 附加参数
     * @param {*} [$event] 事件源
     * @param {*} [xData]  执行行为所需当前部件
     * @param {*} [actionContext]  执行行为上下文
     * @memberof ${srfclassname('${view.name}')}Base
     */
    public ${item.getFullCodeName()}(args: any[],contextJO?:any, params?: any, $event?: any, xData?: any,actionContext?:any,srfParentDeName?:string) {
        const _this: any = this;
        if (!xData || !(xData.wfstart instanceof Function)) {
            return;
        }
        <#if view.getPSWorkflow()??>
        <#assign curWorkflow = view.getPSWorkflow() />
        <#-- 通过是否使用代理模式来区分流程启动的模式 -->
        <#if curWorkflow.isUseWFProxyApp()>
        xData.wfstart(args).then((response: any) => {
        <#else>
        let localdata:any = {processDefinitionKey:null};
        xData.wfstart(args,localdata).then((response: any) => {
        </#if>
        <#else>
        xData.wfstart(args).then((response: any) => {
        </#if>
            if (!response || response.status !== 200) {
                return;
            }
            const { data: _data } = response;
            if(window.parent){
                window.parent.postMessage({ ..._data },'*');
            }
            if (_this.viewdata) {
                _this.$emit('viewdataschange', [{ ..._data }]);
                _this.$emit('close');
            }else if (this.$tabPageExp) {
                this.$tabPageExp.onClose(this.$route.fullPath);
            }
        });
    }